Search for a loyalty program membership
Search for (look up) a loyalty program membership. The preferred and main search criteria is mobile number, but email can be used when mobile number is not available.
Country code must be with a plus sign, e.g. +47 for Norway. If country code is missing, the default country code of the tenant is used.
post/tenants/{tenantUid}/customers/loyalty/search
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
querystringRequired
full mobile number or email
Responses
200
Example response
application/json
post/tenants/{tenantUid}/customers/loyalty/search
POST /v2/tenants/{tenantUid}/customers/loyalty/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"query": "text"
}200
Example response
{
"items": [
{
"loyaltyId": "text",
"firstName": "text",
"lastName": "text",
"address": "text",
"postalCode": "text",
"city": "text",
"countryCode": "text",
"email": "text",
"mobile": "text",
"consents": [
"text"
],
"customerUid": "text",
"origin": "text",
"displayName": "text"
}
]
}Last updated
Was this helpful?

